Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2021-02383, UID# 3034
App. Status: Expired

Valid: 06/04/2021 - 06/07/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2741 (06/03/2021)

Charge Cost Quantity Total
Non-Taxable
added 06/03/2021 8:33 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/03/2021 8:33 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 06/04/2021$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLance W. Hjelmen - 06/03/2021 8:40 AM
6681fdda4fca8f34e1721304b53fcec8
73f2cdba1e1aeecca5741226a49e248e
 
#1 Permit Issuing OfficialRachel Grimm - 06/03/2021 8:45 AM
74af9026ec5f06cb83c913b078fb99b9
6cb0cdc18ad1c202aaf277925a71630d
 
Permit has been approved. All signatures have been obtained.